at.chipkarte.client.dmp.soap

## Interface IDmpService

-     public interface IDmpService

  Dieses Service stellt die Funktionalitäten des Disease Management Programm (DMP) zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AusschreibeErgebnis` | `doAusschreibung(String dialogId, AusschreibeParameter ausschreibeParameter, String cardToken)` Mit dieser Funktion wird eine DMP Ausschreibeanfrage für einen Patienten erfasst.
    `EingabeErgebnis` | `doEingabe(String dialogId, EingabeParameter eingabeParameter, String cardToken)` Mit dieser Funktion wird eine DMP-Eingabe durchgeführt.
    `PatientenInformation` | `getAdminPatientenInformationen(String dialogId, String svNummer, Boolean strukturierteMeldung)` Diese Funktion liefert den administrativen Patientenstatus zu einem konkreten Patienten.
    `BetreuterPatient[]` | `getBetreutePatienten(String dialogId, String dmpCode, String betreuungsStatus)` Diese Funktion ermittelt abhängig vom Selektionskriterium "BetreuungsStatus" die einem Vertragspartner zugeordneten DMP Patienten und liefert Informationen zum Betreuungsverhältnis dieser DMP Patienten.
    `BaseProperty[]` | `getDMPs(String dialogId)` Mit dieser Funktion werden alle aktuell gültigen Disease Management Programme (DMPs) geliefert.
    `PatientenInformation` | `getMedPatientenInformationen(String dialogId, String svNummer, Boolean strukturierteMeldung)` Diese Funktion liefert den medizinischen Patientenstatus zu einem konkreten Patienten.
    `Boolean` | `isDMPPatient(String dialogId, String svNummer)` Mit dieser Funktion wird geprüft, ob zum aktuellen Zeitpunkt ein DMP-Betreuungsverhältnis zwischen DMP-Arzt und DMP-Patient vorliegt.
    `Anfrage[]` | `searchAnfragen(String dialogId, String dmpCode, String anfrageArt, String anfrageStatus, String datumBeginn, String datumEnde)` Diese Funktion liefert alle von einem Vertragspartner eingereichten DMP Anfragen entsprechend den angegebenen Selektionskriterien.
    `Betreuungsverhaeltnis[]` | `searchBetreuungsverhaeltnisseForPatient(String dialogId, String dmpCode, String svNummer, String cardToken)` Diese Funktion ermittelt die aktuellen Betreuungsverhältnisse zu einem konkreten Patienten.

- - ### Method Detail

    - #### getDMPs

          BaseProperty[] getDMPs(String dialogId)
                          throws AccessException,
                                 ServiceException,
                                 DialogException

      Mit dieser Funktion werden alle aktuell gültigen Disease Management Programme (DMPs) geliefert.

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Liste von Disease Management Programmen, siehe `BaseProperty`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException`

    - #### doEingabe

          EingabeErgebnis doEingabe(String dialogId,
                                    EingabeParameter eingabeParameter,
                                    String cardToken)
                             throws AccessException,
                                    ServiceException,
                                    DialogException,
                                    DmpInvalidParameterException,
                                    DmpException

      Mit dieser Funktion wird eine DMP-Eingabe durchgeführt.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - In den Eingangsparametern wurde entweder eine SV-Nummer (in den EingabeParametern) oder CardToken angegeben.
      - Zugriff auf DMP (siehe `DMP_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `eingabeParameter` - Parameter zur Durchführung der DMP-Eingabe.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in `eingabeParameter` eine `svNummer` oder in der Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Returns:
        Ergebnis der durchgeführten DMP-Eingabe
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_DMP_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `DmpInvalidParameterException` - `ADRESS_ZUSATZ_WRONG_FORMAT`, `EINGABE_ZUSATZ_WRONG_FORMAT`, `EMAIL_WRONG_FORMAT`, `HAUSNR_WRONG_FORMAT`, `INVALID_DMP_CODE`, `INVALID_EINGABE_ART`, `INVALID_FG`, `INVALID_SVT`, `NO_SV_PERSON_IDENTIFICATION`, `ADRESSE_INCOMPLETE`, `NR_ZUSATZ_WRONG_FORMAT`, `ORT_WRONG_FORMAT`, `PLZ_WRONG_FORMAT`, `POSTFACHNUMMER_WRONG_FORMAT`, `POSTFACHTEXT_WRONG_FORMAT`, `STRASSE_WRONG_FORMAT`, `TEL_NR_WRONG_FORMAT`, `LEISTUNGSERBRINGER_WRONG_FORMAT`
        `DmpException` - `SV_NUMMER_NOT_EXISTS`, `NO_ANSPRUCH_EXCEPTION`, `NO_ASVG_SVT_PROVIDED_EXCEPTION`, `NO_SUCH_CLAIM_EXCEPTION`, `NO_SVT_PROVIDED_EXCEPTION`, `NO_VERTRAG_EXCEPTION`, `E_NOT_POSSIBLE_BUT_W`, `A_NOT_POSSIBLE_BUT_W`, `EINSCHREIBEART_NOT_POSSIBLE_BUT_A`, `EINSCHREIBEART_NOT_POSSIBLE`, `EINSCHREIBEART_NOT_POSSIBLE_BUT_E`

    - #### doAusschreibung

          AusschreibeErgebnis doAusschreibung(String dialogId,
                                              AusschreibeParameter ausschreibeParameter,
                                              String cardToken)
                                       throws AccessException,
                                              ServiceException,
                                              DialogException,
                                              DmpInvalidParameterException,
                                              DmpException

      Mit dieser Funktion wird eine DMP Ausschreibeanfrage für einen Patienten erfasst.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - In den Eingangsparametern wurde entweder eine SV-Nummer (in den EingabeParametern) oder ein CardToken angegeben.
      - Zugriff auf DMP (siehe `DMP_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `ausschreibeParameter` - Parameter zur Durchführung der DMP Ausschreibeanfrage.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in `ausschreibeParameter` eine `svNummer` oder in der Funktion ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Returns:
        Ergebnis der durchgeführten DMP Ausschreibeanfrage
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_DMP_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `DmpInvalidParameterException` - `NO_SV_PERSON_IDENTIFICATION`, `INVALID_DMP_CODE`, `INVALID_AUSSCHREIBEGRUND`
        `DmpException` - `SV_NUMMER_NOT_EXISTS`, `NO_BETR_VERH_AUSSCHREIBUNG_EXCEPTION`

    - #### searchAnfragen

          Anfrage[] searchAnfragen(String dialogId,
                                   String dmpCode,
                                   String anfrageArt,
                                   String anfrageStatus,
                                   String datumBeginn,
                                   String datumEnde)
                            throws AccessException,
                                   ServiceException,
                                   DialogException,
                                   DmpInvalidParameterException

      Diese Funktion liefert alle von einem Vertragspartner eingereichten DMP Anfragen entsprechend den angegebenen Selektionskriterien. Wenn keine Selektionskriterien angegeben wurden, liefert die Funktion die maximal mögliche Ergebnismenge.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - Zugriff auf DMP (siehe `DMP_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `dmpCode` - Code des DMP-Programms. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen DmpCode Werten selektiert. Mögliche Werte siehe Codes, die über die Funktion `#getDMPs()` abgefragt werden können.
        `anfrageArt` - Art der Anfrage. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen Anfragearten selektiert. Mögliche Werte siehe `Konstante AnfrageArt`.
        `anfrageStatus` - Status der Anfrage. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen Status einer Anfrage selektiert. Mögliche Werte siehe `Konstante AnfrageStatus`.
        `datumBeginn` - Beginndatum für den Suchzeitraum der getätigten Anfrage. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, wird uneingeschränkt in die Vergangenheit gesucht. Zulässiger Wertebereich: aktuelles Datum >= DatumBeginn. Format "TT.MM.JJJJ".
        `datumEnde` - Enddatum für den Suchzeitraum der getätigten Anfrage. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, wird als Selektionskriterium das aktuelle Datum des Frontend-Servers verwendet. Zulässiger Wertebereich: DatumBeginn < DatumEnde <= aktuelles Datum. Format "TT.MM.JJJJ".
      Returns:
        Liste von Anfragen
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_DMP_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `DmpInvalidParameterException` - `BEGIN_DATUM_INVALID`, `ENDE_DATUM_INVALID`, `DATE_ORDER_WRONG`, `INVALID_DMP_CODE`, `INVALID_ANFRAGE_ART`, `INVALID_ANFRAGE_STATUS`

    - #### getAdminPatientenInformationen

          PatientenInformation getAdminPatientenInformationen(String dialogId,
                                                              String svNummer,
                                                              Boolean strukturierteMeldung)
                                                       throws AccessException,
                                                              ServiceException,
                                                              DialogException,
                                                              DmpInvalidParameterException

      Diese Funktion liefert den administrativen Patientenstatus zu einem konkreten Patienten.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - Zugriff auf DMP (siehe `DMP_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `svNummer` - Sozialversicherungsnummer des Patienten für den die administrative Patienteninformation selektiert wird.
        `strukturierteMeldung` - Kennzeichen, ob die strukturierte Textmeldung ermittelt werden soll (True) oder die freie, unstruktierte Textmeldung (False).
      Returns:
        Administrative Patienteninformation
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `AccessException` - `MISSING_DMP_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `DmpInvalidParameterException` - `INVALID_SV_NUMBER`

    - #### getMedPatientenInformationen

          PatientenInformation getMedPatientenInformationen(String dialogId,
                                                            String svNummer,
                                                            Boolean strukturierteMeldung)
                                                     throws AccessException,
                                                            ServiceException,
                                                            DialogException,
                                                            DmpInvalidParameterException

      Diese Funktion liefert den medizinischen Patientenstatus zu einem konkreten Patienten.

      Voraussetzung:

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      li>Online Modus des Dialogs.
    - Zugriff auf DMP (siehe `DMP_CORE`).

    Laufzeitgruppe: Mittel

    Replayability: Nein

Parameters:
  `dialogId` - Dialog ID eines aufgebauten Dialogs.
  `svNummer` - Sozialversicherungsnummer des Patienten für den die medizinische Patienteninformation selektiert wird.
  `strukturierteMeldung` - Kennzeichen, ob die strukturierte Textmeldung ermittelt werden soll (True) oder die freie, unstruktierte Textmeldung (False).
Returns:
  Medizinische Patienteninformation
Throws:
  `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
  `AccessException` - `MISSING_DMP_CORE`
  `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`
  `DmpInvalidParameterException` - `INVALID_SV_NUMBER`

- #### getBetreutePatienten

      BetreuterPatient[] getBetreutePatienten(String dialogId,
                                              String dmpCode,
                                              String betreuungsStatus)
                                       throws AccessException,
                                              ServiceException,
                                              DialogException,
                                              DmpInvalidParameterException,
                                              DmpException

  Diese Funktion ermittelt abhängig vom Selektionskriterium "BetreuungsStatus" die einem Vertragspartner zugeordneten DMP Patienten und liefert Informationen zum Betreuungsverhältnis dieser DMP Patienten.

  Voraussetzung:

  - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online Modus des Dialogs.
  - Zugriff auf DMP (siehe `DMP_CORE`).

  Laufzeitgruppe: Mittel

  Replayability: Nein

  Parameters:
    `dialogId` - Dialog ID eines aufgebauten Dialogs.
    `dmpCode` - Code des DMP-Programms. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen DmpCode Werten selektiert. Mögliche Werte siehe Codes, die über die Funktion `#getDMPs()` abgefragt werden können.
    `betreuungsStatus` - Status des DMP Betreuungsverhältnisses. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen Statuswerten selektiert. Mögliche Werte siehe `Konstante BetreuungsStatus`.
  Returns:
    Liste von betreuten Patienten mit max. 500 Einträgen
  Throws:
    `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
    `AccessException` - `MISSING_DMP_CORE`
    `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
    `DmpInvalidParameterException` - `INVALID_BETREUUNGSSTATUS`, `INVALID_DMP_CODE`
    `DmpException` - `MAX_RESULT_EXCEEDED`

- #### isDMPPatient

      Boolean isDMPPatient(String dialogId,
                           String svNummer)
                    throws AccessException,
                           ServiceException,
                           DialogException,
                           DmpInvalidParameterException

  Mit dieser Funktion wird geprüft, ob zum aktuellen Zeitpunkt ein DMP-Betreuungsverhältnis zwischen DMP-Arzt und DMP-Patient vorliegt.

  Voraussetzung:

  - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online Modus des Dialogs.
  - Zugriff auf DMP (siehe `DMP_CORE`).

  Laufzeitgruppe: Mittel

  Replayability: Nein

  Parameters:
    `dialogId` - Dialog ID eines aufgebauten Dialogs.
    `svNummer` - Sozialversicherungsnummer des Patienten.
  Returns:
    True, wenn der abgefragte Patient ein DMP Patient ist.
  Throws:
    `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
    `AccessException` - `MISSING_DMP_CORE`
    `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
    `DmpInvalidParameterException` - `INVALID_SV_NUMBER`

- #### searchBetreuungsverhaeltnisseForPatient

      Betreuungsverhaeltnis[] searchBetreuungsverhaeltnisseForPatient(String dialogId,
                                                                      String dmpCode,
                                                                      String svNummer,
                                                                      String cardToken)
                                                               throws AccessException,
                                                                      ServiceException,
                                                                      DialogException,
                                                                      DmpInvalidParameterException,
                                                                      DmpException

  Diese Funktion ermittelt die aktuellen Betreuungsverhältnisse zu einem konkreten Patienten.

  Voraussetzung:

  - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
  - Online Modus des Dialogs.
  - Zugriff auf DMP (siehe `DMP_CORE`).

  Laufzeitgruppe: Mittel

  Replayability: Nein

  Parameters:
    `dialogId` - Dialog ID eines aufgebauten Dialogs.
    `dmpCode` - Code des DMP-Programms. Dieser Parameter ist optional. Ist der Parameter nicht angegeben, dann wird nach allen DmpCode Werten selektiert. Mögliche Werte siehe Codes, die mittels der Funktion `#getDMPs()` ermittelt werden können.
    `svNummer` - Sozialversicherungsnummer des Patienten. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
    Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
    `cardToken` - Mit e-card erzeugtes Signaturtoken. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
    Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
  Returns:
    Liste von Betreuungsverhältnissen
  Throws:
    `AccessException` - `MISSING_DMP_CORE`
    `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
    `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`w
    `DmpInvalidParameterException` - `INVALID_DMP_CODE`, `NO_SV_PERSON_IDENTIFICATION`
    `DmpException` - `NO_BETR_VERH_FOUND_EXCEPTION`